Welcome, Guest. Please login or register. Did you miss your activation email?

Author Topic: SFML 2.0 Mac and 10.4 / 10.5  (Read 1267 times)

0 Members and 1 Guest are viewing this topic.

zenroth

  • Newbie
  • *
  • Posts: 26
    • View Profile
SFML 2.0 Mac and 10.4 / 10.5
« on: January 09, 2013, 09:26:55 pm »
Is it possible to build dylibs that support 10.4 and 10.5?

zenroth

  • Newbie
  • *
  • Posts: 26
    • View Profile
Re: SFML 2.0 Mac and 10.4 / 10.5
« Reply #1 on: January 10, 2013, 01:40:53 am »
Well after hours of messing with it, i'm leaning towards no, or atleast for 10.4, might be possible for 10.5 not entirely sure.

I get a lot of warnings when trying to build for 10.4 regarding special foreach style loops and such not being supported until 10.5 and so forth.

Anyways if anyone can confirm/deny it would be great, I've sank way to many hours into this now.

Hiura

  • SFML Team
  • Hero Member
  • *****
  • Posts: 4321
    • View Profile
    • Email
Re: SFML 2.0 Mac and 10.4 / 10.5
« Reply #2 on: January 12, 2013, 05:50:55 pm »
10.4 is not supported by SFML 2.0, but 10.5 should be (at least, I tried to make it work on Leopard but I didn't make any test I have to admit).

Also, it's very likely that SFML 2.x (x > 0) won't support 10.5 at all.

If you encounter anything unexpected on Leopard, please let me know.
SFML / OS X developer

 

anything